default['suffix'] = node.name.gsub(/.*-/, '')
default['prefix'] = node.name.gsub(/-.*/, '')

# Set to true to make 'yum update' only update the architectures of packages that you have installed
default['yum']['main']['exactarch'] = true

# Linked to community cookbook "hostname"
if node['platform'] == 'amazon'
  default['set_fqdn'] = '*.aws.bmidomain.com'
else
  default['set_fqdn'] = '*.bmidomain.com'
end

# default['set_fqdn'] = node['platform'] == 'amazon' ? '*.aws.bmidomain.com' : '*.bmidomain.com' 
# default['set_fqdn'] = '*.bmidomain.com'

# installation in bmi_repos recipe
default['base_install']['3rdparty']['packages'] = %w( nc net-tools htop vim-enhanced mc )

default['selinux']['state'] = 'permissive'

default['authorization']['sudo']['include_sudoers_d'] = true

### ???
default['file']['network'] = 'NISDOMAIN=BMIDomain'
default['file']['yp'] = 'domain BMIDomain server'

default['motd']['color'] = true
# default['motd']['source'] = 'cow.erb'

default['yum']['epel']['sslverify'] = false
default['system']['timezone'] = 'Europe/London'

default['chef_client']['init_style'] = 'init'
default['chef_client']['interval'] = 600

# finish handler foreman
unless node['platform'] == 'amazon'
  default['chef_client']['start_handlers'] = { 'class' => 'ChefHandlerForeman::ForemanFacts' }
end
