#
# Cookbook Name:: base_install
# Recipe:: _ebs_lvm
#
# Copyright (c) 2015 The Authors, All Rights Reserved.
app = node['prefix'].gsub(/\d/, '') # mag, drp, rsdadm
env = node['suffix'].gsub(/\d/, '') # stg, dev, prod, uat
env = 'non_prod' unless env == 'prod'

ser = ''

if app == 'drp' || app == 'mag' || app == 'rsdadm'
  ser = 'rsd'
elsif app == 'cms' 
  ser = 'cms'
else
  ser = 'bmo'
end
    
config = data_bag_item('aws_provision', ser)
disks = config[app][env]['disks']

cookbook_file '/usr/local/bin/ebs_lvm' do
  source 'ebs_lvm.sh'
  owner 'root'
  group 'root'
  mode '0700'
end

# prod:
# {"opt"=>{"volumes"=>["xvdf", "xvdg"], "size"=>20}}
# {"log"=>{"volumes"=>["xvdh", "xvdi"], "size"=>20}}
# non_prod:
# {"opt"=>{"volumes"=>["xvdf"], "size"=>20}}
disks.each do |disk|
  raid = ''
  name = disk.keys.first
  volumes = disk.values.first['volumes']

  if volumes.size > 1
    raid = " -m #{name} -r mirror"
  end

  # str = "/usr/local/bin/ebs_lvm -d #{volumes.join(',')} -l lg_#{name} -v vg_#{name} #{raid}"
  execute 'create lvm' do
    command "/usr/local/bin/ebs_lvm -d #{volumes.join(',')} -l lg_#{name} -v vg_#{name} #{raid}"
    action :run
  end

  mount "/#{name}" do
    device "/dev/vg_#{name}/lg_#{name}"
    fstype 'ext4'
  end
end
