#
# Cookbook Name:: base_install
# Recipe:: bmi_aws_ohai
#
# Copyright (c) 2015 The Authors, All Rights Reserved.
directory '/etc/chef/stamps' do
  owner 'root'
  group 'root'
  mode '0700'
  action :create
end

file "/etc/chef/stamps/aws_ohai.stamp" do
  owner "root"
  group "root"
  mode "0700"
  action :nothing
end

bash 'identify EC2 instance' do
  not_if { ::File.exist?("/etc/chef/stamps/aws_ohai.stamp") }
  code <<-EOH
    STATUS=$(curl -m 1 -s -o /dev/null -w '%{http_code}' http://169.254.169.254)
    if [ $STATUS -eq 200 ]; then
      mkdir -p /etc/chef/ohai/hints && touch ${_}/ec2.json
    else
      echo "It's Not EC2 instance"
    fi
  EOH
  notifies :create, "file[/etc/chef/stamps/aws_ohai.stamp]"
end
