#
# Cookbook Name:: base_install
# Recipe:: nis
#
# Copyright (c) 2015 The Authors, All Rights Reserved

nis_packages = node['nis']['packages']
nis_packages.each do |pkg|
  package pkg do
    action :install
    ignore_failure true
  end
end

# Update network NISDomain, node['nis']['domain'] from environment
ruby_block 'Update network NISDomain' do
  block do
    file = Chef::Util::FileEdit.new('/etc/sysconfig/network')
    file.insert_line_if_no_match(node['nis']['domain'], "NISDOMAIN=#{node['nis']['domain']}")
    file.write_file
  end
  not_if { File.readlines('/etc/sysconfig/network').grep(/NISDOMAIN=BMIDomain/).size > 0 }
end

template '/etc/yp.conf' do
  source 'nis/yp.conf.erb'
  owner 'root'
  group 'root'
  mode '0644'
  variables(
    servers: node['nis']['servers'],
    domain: node['nis']['domain'])
  # notifies :restart, 'service[ypbind]'
end

template '/etc/nsswitch.conf' do
  source 'nis/nsswitch.conf.erb'
end

template '/etc/idmapd.conf' do
  source 'nis/idmapd.conf.erb'
  owner 'root'
  group 'root'
  mode '0644'
end

# node['nis']['services'] from environment
nis_services = node['nis']['services']
nis_services.each do |srv|
  service srv do
    supports status: true, restart: true, reload: true
    action [:enable, :start]
  end
end
