#
# Cookbook Name:: base_install-0.1.0
# Recipe:: bmi_sshkey
#
# Copyright (c) 2015 The Authors, All Rights Reserved.
#

users = data_bag('users')

users.each do |user|
  home_dir = "/users/#{user}"
  ssh_keys = data_bag_item('users', user)['ssh_keys']
  groups = data_bag_item('users', user)['groups']

  directory "/users/#{user}" do
    owner user
    group groups[0]
    action :create
  end

  directory "/users/#{user}/.ssh" do
    owner user
    group groups[0]
    mode '0700'
    action :create
  end

  file "#{home_dir}/.ssh/authorized_keys" do
    owner user
    group 'bmint'
    content ssh_keys
    action :create
  end

  cookbook_file '/usr/local/bin/home_creation.sh' do
    source 'home_creation.sh'
    mode '0755'
  end

  bash "copy skaleton for #{user} in #{home_dir}" do
    user user
    code <<-EOF
        cp /etc/skel/.bash* #{home_dir}
    EOF
    not_if "ls -all /users/#{user} | grep .bash*"
  end
end

bash 'add line pam sshd' do
  user 'root'
  code <<-EOH
  echo 'session optional pam_exec.so /usr/local/bin/home_creation.sh' >> /etc/pam.d/sshd
  EOH
  not_if 'grep home_creation /etc/pam.d/sshd'
end
