#
# Cookbook Name:: base_install
# Recipe:: default
#
# Copyright (c) 2015 The Authors, All Rights Reserved.
#

include_recipe 'base_install::bmi_route_ndbval'

# stop iptables
# service 'iptables' do
#   action [:disable, :stop]
# end

include_recipe 'base_install::bmi_dns' 
include_recipe 'base_install::bmi_repos'
include_recipe 'base_install::bmi_ntp'
include_recipe 'hostname'
include_recipe 'base_install::bmi_nis'
include_recipe 'base_install::bmi_home_dir'
include_recipe 'base_install::bmi_sudo'
include_recipe 'base_install::bmi_foreman'
include_recipe 'base_install::bmi_sshd'

# AWS only
if node['platform'] == 'amazon'
  include_recipe 'base_install::bmi_aws_ohai' 
  include_recipe 'base_install::bmi_aws_dns'
end

include_recipe 'base_install::bmi_postfix' unless node['suffix'] == 'prod'

# include_recipe 'base_install::set_timezone'
include_recipe 'bmi_zabbix'
# include_recipe 'system'

include_recipe 'selinux' if node['platform_version'].to_i != 5
include_recipe 'chef-client::service' if node.name 
include_recipe 'chef-client::delete_validation'

# fetch ssl from chef server
execute 'fetch ssl from chef server' do
  command 'knife ssl fetch -c /etc/chef/client.rb'
  action :run
  not_if { ::Dir.exist?('/etc/chef/trusted_certs') }
end

# include_recipe 'motd::cow'
include_recipe 'motd'

cookbook_file '/usr/local/bin/ebs_lvm' do
  source 'ebs_lvm.sh'
  owner 'root'
  group 'root'
  mode '0700'
end



